package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.enums.UserGenderEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/19
 */
public class StudentManageListDto {

    @ApiModelProperty(value = "用户ID",required = false)
    private Integer userId;

    @ApiModelProperty(value = "用户名",required = false)
    private String realName;

    @ApiModelProperty(value = "用户名",required = false)
    private String username;

    private String nation;

    @ApiModelProperty(value = "性别",required = false)
    private UserGenderEnum gender;

    @ApiModelProperty(value = "家长电话号码",required = false)
    private String parentsPhone;

    @ApiModelProperty(value = "家长名字",required = false)
    private String parentsName;

    @ApiModelProperty(value = "生日",required = false)
    private Date birthdate;

    @ApiModelProperty(value = "班级",required = false)
    private String currentClass;

    @ApiModelProperty(value = "年级",required = false)
    private String currentGrade;

    @ApiModelProperty(value = "课程余额")
    private BigDecimal courseBalance;

    @ApiModelProperty(value = "账户余额")
    private BigDecimal balance;
    
    private YesOrNoEnum isActive;

    private YesOrNoEnum hasCourse;

    @ApiModelProperty(value = "是否有网管课")
    private YesOrNoEnum hasPracticeCourse;

    private String musicGroupName;

    private Integer organId;

    private YesOrNoEnum serviceTag;

    private YesOrNoEnum operatingTag;

    private String organName;

    private String subjectName;

    private String musicGroupStatus;

    private String vipGroupName;

    private String vipGroupStatus;
    
    private String teacherName;
    
    private Integer teacherId;
    
    private String subjectIdList;

    private Integer isNewUser;
    
    private boolean isSignedContract;

    public Integer getIsNewUser() {
        return isNewUser;
    }

    public void setIsNewUser(Integer isNewUser) {
        this.isNewUser = isNewUser;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }

    public YesOrNoEnum getServiceTag() {
        return serviceTag;
    }

    public void setServiceTag(YesOrNoEnum serviceTag) {
        this.serviceTag = serviceTag;
    }

    public YesOrNoEnum getOperatingTag() {
        return operatingTag;
    }

    public void setOperatingTag(YesOrNoEnum operatingTag) {
        this.operatingTag = operatingTag;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getMusicGroupStatus() {
        return musicGroupStatus;
    }

    public void setMusicGroupStatus(String musicGroupStatus) {
        this.musicGroupStatus = musicGroupStatus;
    }

    public String getVipGroupName() {
        return vipGroupName;
    }

    public void setVipGroupName(String vipGroupName) {
        this.vipGroupName = vipGroupName;
    }

    public String getVipGroupStatus() {
        return vipGroupStatus;
    }

    public void setVipGroupStatus(String vipGroupStatus) {
        this.vipGroupStatus = vipGroupStatus;
    }

    public YesOrNoEnum getHasPracticeCourse() {
        return hasPracticeCourse;
    }

    public void setHasPracticeCourse(YesOrNoEnum hasPracticeCourse) {
        this.hasPracticeCourse = hasPracticeCourse;
    }

    public YesOrNoEnum getHasCourse() {
        return hasCourse;
    }

    public void setHasCourse(YesOrNoEnum hasCourse) {
        this.hasCourse = hasCourse;
    }

    public String getNation() {
        return nation;
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public BigDecimal getCourseBalance() {
        return courseBalance;
    }

    public void setCourseBalance(BigDecimal courseBalance) {
        this.courseBalance = courseBalance;
    }

    public String getCurrentClass() {
        return currentClass;
    }

    public void setCurrentClass(String currentClass) {
        this.currentClass = currentClass;
    }

    public String getCurrentGrade() {
        return currentGrade;
    }

    public void setCurrentGrade(String currentGrade) {
        this.currentGrade = currentGrade;
    }

    public Date getBirthdate() {
        return birthdate;
    }

    public void setBirthdate(Date birthdate) {
        this.birthdate = birthdate;
    }

    public UserGenderEnum getGender() {
        return gender;
    }

    public void setGender(UserGenderEnum gender) {
        this.gender = gender;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getParentsPhone() {
        return parentsPhone;
    }

    public void setParentsPhone(String parentsPhone) {
        this.parentsPhone = parentsPhone;
    }

    public String getParentsName() {
        return parentsName;
    }

    public void setParentsName(String parentsName) {
        this.parentsName = parentsName;
    }

	public YesOrNoEnum getIsActive() {
		return isActive;
	}

	public void setIsActive(YesOrNoEnum isActive) {
		this.isActive = isActive;
	}

	public String getTeacherName() {
		return teacherName;
	}

	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}

	public Integer getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(Integer teacherId) {
		this.teacherId = teacherId;
	}

	public String getSubjectIdList() {
		return subjectIdList;
	}

	public void setSubjectIdList(String subjectIdList) {
		this.subjectIdList = subjectIdList;
	}

	public boolean getIsSignedContract() {
		return isSignedContract;
	}

	public void setIsSignedContract(boolean isSignedContract) {
		this.isSignedContract = isSignedContract;
	}
}
